Bug 550709 - bluemodem not built with $RPM_OPT_FLAGS
bluemodem not built with $RPM_OPT_FLAGS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bluemodem (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DebugInfo bluemodem
  Show dependency treegraph
 
Reported: 2009-12-26 18:41 EST by Ville Skyttä
Modified: 2010-04-08 23:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: bluemodem-0.7-5.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-29 22:14:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2009-12-26 18:41:49 EST
bluemodem is not built with $RPM_OPT_FLAGS:

http://kojipkgs.fedoraproject.org/packages/bluemodem/0.7/2.fc13/data/logs/x86_64/build.log
gcc -O2 bluemodem.c hcisdpfunc.c -o bluemodem -lbluetooth

See bug 496968 for more info.

(Cc'ing reviewer, this should have been caught in bug 510376.)
Comment 1 Christoph Wickert 2009-12-26 20:47:06 EST
(In reply to comment #0)
> (Cc'ing reviewer, this should have been caught in bug 510376.)  

Thanks Ville, I'm awfully sorry I didn't catch this in the review. Shame on me.
Comment 2 Bug Zapper 2010-03-15 09:42:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2010-03-15 15:05:57 EDT
bluemodem-0.7-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/bluemodem-0.7-3.fc12
Comment 4 Fedora Update System 2010-03-15 15:06:12 EDT
bluemodem-0.7-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/bluemodem-0.7-3.fc13
Comment 5 Fedora Update System 2010-03-15 15:06:30 EDT
bluemodem-0.7-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bluemodem-0.7-3.fc11
Comment 6 Christoph Wickert 2010-03-15 16:42:02 EDT
You are still not using RPM_OPT_FLAGS. From 
http://kojipkgs.fedoraproject.org/packages/bluemodem/0.7/3.fc13/data/logs/x86_64/build.log:

+ make -j4 'CFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic'
gcc -O2 bluemodem.c hcisdpfunc.c -o bluemodem -lbluetooth -g
+ exit 0

As you can see the gcc call itself has no optlags.
Comment 7 Fabian Affolter 2010-03-15 17:52:52 EDT
I see, thanks for checking.
Comment 8 Fedora Update System 2010-03-15 19:19:51 EDT
bluemodem-0.7-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/bluemodem-0.7-5.fc12
Comment 9 Fedora Update System 2010-03-15 19:20:01 EDT
bluemodem-0.7-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/bluemodem-0.7-5.fc13
Comment 10 Fedora Update System 2010-03-15 19:20:11 EDT
bluemodem-0.7-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bluemodem-0.7-5.fc11
Comment 11 Fedora Update System 2010-03-16 19:18:26 EDT
bluemodem-0.7-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bluemodem'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/bluemodem-0.7-5.fc13
Comment 12 Fedora Update System 2010-03-16 19:20:54 EDT
bluemodem-0.7-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bluemodem'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/bluemodem-0.7-5.fc12
Comment 13 Fedora Update System 2010-03-16 19:22:27 EDT
bluemodem-0.7-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bluemodem'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/bluemodem-0.7-5.fc11
Comment 14 Fedora Update System 2010-03-29 22:14:38 EDT
bluemodem-0.7-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-03-29 22:25:10 EDT
bluemodem-0.7-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-04-08 23:47:53 EDT
bluemodem-0.7-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.